# DeepSeek API Error Codes

{% embed url="<https://api-docs.deepseek.com/quick_start/error_codes>" %}

<table><thead><tr><th width="130.06669108072919" valign="top">Error Codes</th><th width="275.199951171875" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top"><strong>400</strong></td><td valign="top">Invalid Format</td><td valign="top"><strong>Cause</strong>: Invalid request body format.<br><strong>Solution</strong>: Please modify your request body according to the hints in the error message. For more API format details, please refer to <a href="https://api-docs.deepseek.com/">DeepSeek API Docs.</a></td></tr><tr><td valign="top"><strong>401</strong></td><td valign="top">Authentication Fails</td><td valign="top"><strong>Cause</strong>: Authentication fails due to the wrong API key.<br><strong>Solution</strong>: Please check your API key. If you don't have one, please <a href="https://platform.deepseek.com/api_keys">create an API key</a> first.</td></tr><tr><td valign="top"><strong>402</strong></td><td valign="top">Insufficient Balance</td><td valign="top"><strong>Cause</strong>: You have run out of balance.<br><strong>Solution</strong>: Please check your account's balance, and go to the <a href="https://platform.deepseek.com/top_up">Top up</a> page to add funds.</td></tr><tr><td valign="top"><strong>422</strong></td><td valign="top">Invalid Parameters</td><td valign="top"><strong>Cause</strong>: Your request contains invalid parameters.<br><strong>Solution</strong>: Please modify your request parameters according to the hints in the error message. For more API format details, please refer to <a href="https://api-docs.deepseek.com/">DeepSeek API Docs.</a></td></tr><tr><td valign="top"><strong>429</strong></td><td valign="top">Rate Limit Reached</td><td valign="top"><strong>Cause</strong>: You are sending requests too quickly.<br><strong>Solution</strong>: Please pace your requests reasonably. We also advise users to temporarily switch to the APIs of alternative LLM service providers, like OpenAI.</td></tr><tr><td valign="top"><strong>500</strong></td><td valign="top">Server Error</td><td valign="top"><strong>Cause</strong>: Our server encounters an issue.<br><strong>Solution</strong>: Please retry your request after a brief wait and contact us if the issue persists.</td></tr><tr><td valign="top"><strong>503</strong></td><td valign="top">Server Overloaded</td><td valign="top"><strong>Cause</strong>: The server is overloaded due to high traffic.<br><strong>Solution</strong>: Please retry your request after a brief wait.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vntranslator.com/help/troubleshooting/machine-translation-mt/deepseek-api-error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
